Bug 8237 - Search function doesn't search shares
Search function doesn't search shares
Status: RESOLVED FIXED
Product: smbta
Classification: Unclassified
Component: smbtaquery
unspecified
All All
: P5 normal
: ---
Assigned To: Benjamin Brunner
:
Depends on:
Blocks: 8204
  Show dependency treegraph
 
Reported: 2011-06-15 11:38 UTC by Benjamin Brunner
Modified: 2011-07-05 14:43 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Brunner 2011-06-15 11:38:50 UTC
The search function doesn't search for shares.
e.g trigger is a share on SEIZEWELL. The output of smbtaquery is:

#smbtaquery -M pgsql -N smbtad -S holger -H seizewell -I 0 -d10 -q "global, search trigger;"
SQL-QUERY: select distinct filename, share, domain  from write where filename LIKE 'trigger' and  1=1 and 1=1 and 1=1;

SQL-QUERY: select distinct username, domain  from write where username LIKE 'trigger' and  1=1 and 1=1 and 1=1;

SQL-QUERY: select distinct usersid, username, domain  from write where usersid LIKE 'trigger' and  1=1 and 1=1 and 1=1;

SQL-QUERY: select distinct domain  from write where domain LIKE 'trigger' and  1=1 and 1=1 and 1=1;
<?xml version="1.0" encoding="UTF-8"?>


Fuzzy search for 'trigger' globally. at 2011-06-15 13:38:09
------------------------------------------------------------------------------


------------------------------------------------------------------------------
SMB Traffic Analyzer 1.2.3-devel, 2011-06-15 13:38:09
Comment 1 Holger Hetterich 2011-06-30 18:10:36 UTC
Now that the new database format is in place, the search function is much easier to implement and we will create a new implementation for it.
Comment 2 Benjamin Brunner 2011-06-30 19:04:29 UTC
I'll have a look at this. Could you assign it to me, please.
Comment 3 Benjamin Brunner 2011-07-05 14:43:51 UTC
Fixed with 
commit 1774715196abee141aec57995f8509541403c9cf
Author: Benjamin Brunner <bbrunner@suse.de>
Date:   Tue Jul 5 16:08:02 2011 +0200

    Converted search function to 1.2.6